Welcome to EncryptOnClick
Return to Introduction
eoc-header

EncryptOnClick

EncryptOnClick is a program that lets you securely encrypt and decrypt files.

EncryptOnClick is like hiring your own highly experienced data security guard who ensures the files you want to keep safe and out of view from others, stay that way. The program is very simple to use and features military grade 256-bit AES encryption.

EncryptOnClick is available as freeware exclusively from 2BrightSparks.

All Content: 2BrightSparks Pte Ltd © 2003-2005


Why Use EncryptOnClick?
eoc-header

Uses for EncryptOnClick

There are many reasons why you may wish to encrypt your data. For example, you may want to send a file to another person via email, or store sensitive files on removable media, e.g. a USB key. EncryptOnClick ensures your file(s) can only be opened by someone who knows the password you've defined.

Perhaps you're going to be away from your computer for a while and want to make sure nobody snoops on your files. You may have very sensitive or confidential files, e.g. financial information, that you simply cannot let other people read, or you may be traveling with a notebook/laptop containing confidential documents you need to keep secure. EncryptOnClick helps you ensure your files are kept safe under lock and key.

medal Award-winning software

2BrightSparks, the developers of EncryptOnClick, have received numerous awards and accolades from review websites, industry magazines, and independent computer journalists. To view some of our awards, testimonials, and media features go to:

http://www.2brightsparks.com/awards.html


System Requirements
eoc-header

System Requirements

You need enough free disk space to encrypt and decrypt files. There is no minimum memory requirement.

windows-xp
EncryptOnClick requires Windows 98, 98SE, ME, NT 4, Windows 2000, Windows XP, and Windows 2003.

notebook Windows 95 is not supported.


Commercial Software

Commercial Software from 2BrightSparks
eoc-header

EncryptOnClick, from the makers of SyncBackSE

EncryptOnClick is a freeware program from 2BrightSparks, the makers of SyncBackSE.

sbse-logo
SyncBackSE is a multi-award winning commercial Shareware program used to back-up, restore, and synchronize files and directories, whether they be on a local drive, a network drive, an FTP server, a ZIP archive, or on removable media.

As you work on your computer you'll find there are times when you wish you had a backup. Perhaps you've inadvertently deleted a file you shouldn't have, perhaps you need to roll-back your work to a previous time and date, perhaps you have a laptop and a desktop you need to synchronize via FTP. SyncBackSE can help you with all these tasks and more. Find out more...

Purchase SyncBackSE Today and Enjoy Instant Delivery

We recognise that security is one of the major concerns for the shopper during an online transaction. Our payment processor uses state of the art security tools and techniques to ensure that you are protected against online fraud.

Payment transactions at 2BrightSparks are handled through the eSellerate payment system. At no time do we process or save customer payment card details at www.2BrightSparks.com.

If you would like to learn more about eSellerate, visit their site at:

http://www.esellerate.net/company_overview.asp

lock Direct Ordering and Download

Ordering SyncBackSE couldn't be simpler. Your serial number will be presented to you immediately following payment on eSellerate's secure server. Your order details and serial number will also be sent to you via email.

esellerate-cards
Buy Now

Click the following link to order directly from our Web Store:

Buy SyncBackSE

Phone and Fax Orders

Alternatively, you may use the following URLs for phone or Fax orders:

phone | http://store.eSellerate.net/s.asp?s=STR2236179640&CMD=PHONE
phone-fax | http://store.eSellerate.net/s.asp?s=STR2236179640&CMD=FAX

Website

The 30 Day Evaluation version of SyncBackSE is also available. Click the following link to immediately download:

Download SyncBackSE 30 Day Trial

Sales and Support

Our online support is among the best in the industry. Visit our extensive Support Area which features our KnowledgeBase, FAQs (Frequently Asked Questions), and quick fix TroubleShooter.

Company Postal Address

2BrightSparks Pte Ltd
PSA Building
PO Box 364
911143
Singapore


Using EncryptOnClick
eoc-header

A Guide to Using EncryptOnClick

EncryptOnClick is a very simple program to use. Here's the program window:

Take a closer look at the EncryptOnClick icon that's on the top left of the program window as you'll come across this when you create encrypted files with EncryptOnClick:

Encrypting Files

To encrypt a file click the Encrypt File button on the top left of the program window:

A new explorer type window will appear:

Browse and select the file(s) you wish to encrypt using the left navigational buttons and/or drop-down menu, then enter and confirm your password:

notebook IMPORTANT

You are entirely responsible for remembering the passwords you use. 2BrightSparks Pte Ltd cannot tell you what your password is if you forget it. We have no method for retrieving lost or forgotten passwords.

If you are using EncryptOnClick to encrypt many files you will see a progress window detailing the runtime progress with an 'Abort!' button that can be clicked to immediately halt the process:

When the encryption process is complete you're done! The file(s) has been successfully encrypted.

Decrypting Files

Decrypting a file(s) is just as simple. Click the Decrypt File button:

Select the file(s) to decrypt:

Enter the password that was used to encrypt the file(s):

The file(s) is then decrypted.

notebook You can also decrypt a file by simply double-clicking on it in Windows Explorer.

Encrypting and Decrypting Folders

It's also possible to quickly encrypt every unencrypted file within a folder, and to decrypt all the encrypted files within a folder.

To encrypt every file within a folder click the Folder button:

When you encrypt and decrypt the entire contents of a folder you'll browse to the folder of your choice from within a slightly different looking explorer-type window:

The encryption and decryption of folders follows exactly the same procedure as for the files shown above.

Frequently Asked Questions

FAQs about using EncryptOnClick follow on the next page of this help file.


FAQs

Frequently Asked Questions
eoc-header

Frequently Asked Questions (FAQs)

We've put together a range of FAQs about using EncryptOnClick to help you understand the program better, and quickly solve any difficulties that you might encounter.

Q: If I encrypt a folder does it encrypt every file in that folder?

A: When you encrypt a folder it will encrypt every file in it that isn't already encrypted. This includes all files in all sub-folders. Files that are already encrypted are ignored.

Q: If I decrypt a folder does it decrypt every file in that folder?

A: When you decrypt a folder it will decrypt every encrypted file. This includes all files in all sub-folders. Files that are not encrypted are ignored.

Q: What type of files can be encrypted?

A: Any file can be encrypted.

Q: What happens to a file when it is encrypted?

A: An encrypted version of the file is produced, and if successful, the original unencrypted file is automatically and securely deleted.

Q: What happens to a file when it is decrypted?

A: The file is decrypted, and if successful, the encrypted file is deleted.

Q: How is this different from other programs that encrypt/decrypt files?

A: The files are both compressed & encrypted, which results in a smaller file (with documents the files can be considerably smaller). A very secure encryption method is also used (256-bit AES encryption). Not only that, but the files can be opened and decrypted using WinZip 9 (provided the correct password is used). This means even people who don't use EncryptOnClick can access the files.

Q: Why don't I then use WinZip 9 instead?

A: You certainly could, but EncryptOnClick is completely free from 2BrightSparks, and is much simpler to use. It also securely deletes the file once it's been encrypted. The user interface is designed with maximum simplicity in mind.

Q: How are the files encrypted?

A: By default the files are encrypted using WinZip compatible 256-bit AES encryption, and they are also compressed. You can actually open and decrypt the files (using the correct password) using WinZip 9 or later.

Q: What happens if I forget the password?

A: You are entirely responsible for remember the passwords you use. 2BrightSparks Pte Ltd cannot tell you what your password is if you forget it. We have no method for retrieving lost or forgotten passwords.

Q: What does 256-bit encryption actually mean?

A: It means a key (the password) with a maximum length of 256-bits is used to encrypt the data in the file. 256-bits are equivalent to 32 bytes, so the most secure password to use is one that is 32 characters long.

Q: What kind of password should I use?

A: The best password to use is one that contains letters, numbers, and punctuation characters.

Q: I'm getting the error "The COM file XceedZip.dll is not registered or missing" whenever I try and encrypt or decrypt.

A: The file XceedZip.dll must be in the same directory as the EncryptOnClick.exe file, or SyncBackSE must be installed. If you already have SyncBackSE installed and want EncryptOnClick to run on another PC then copy the XceedZip.dll file from the SyncBackSE installation (which is typically C:\Program Files\2BrightSparks\SyncBackSE\)

Q: I'm getting the error "The decrypted file could not be deleted …The process cannot access the file because it is being used by another process" when trying to encrypt a file.

A: The decrypted file is being used, or is open, in another program. The encrypted file will still have been created, but the decrypted file could not be automatically deleted. Close the program that is using the decrypted file then delete it manually using Windows Explorer.

Q: I'm getting the error "Cannot create target file. [114]" when decrypting a file.

A: The encrypted file could not be decrypted because the file it is to replace (the decrypted) already exists and is being used, or is open, in another program. Close the program that is using the decrypted file then try again.

Q: I'm getting the error "The encrypted file is corrupted - it must contain only one file" when decrypting a file.

A: The file being decrypted is either not a valid encrypted file, its contents is corrupted, or it's an empty file. Try repairing the file with WinZip 9.

Q: But can't people simply undelete the unencrypted file?

A: No. EncryptOnClick securely wipes and deletes the unencrypted file once the encrypted file has been created. If the unencrypted file is undeleted then the files contents will contain random bytes and not the original contents.

Q: Can I use EncryptOnClick on the command line?

A: Yes, the following command line parameters can be used:

-p [password] | You can pass the password on the command line instead of being prompted for it. If the password contains a space then wrap it in double-quotes, e.g. –p "my password"
-e | Encrypt files in the folders
-d | Decrypt files in the folders
-u | Run unattended, i.e. do not prompt me. Any error messages will be written to the file 'Errors.txt' in the current directory. Note that errors are appended to the file if it exists.

Any other parameters are taken as filenames or folder names. Note that a file with the .EOC extension is assumed to be encrypted and so will be decrypted. Any files without the .EOC extension will be encrypted.

Note that file and folder names, and passwords, should be wrapped in double-quotes if they contain spaces.

You cannot use filters, e.g. *.txt, *.*, etc. Valid file and folder names must be used.

Examples

To encrypt all the unencrypted files in two folders and be prompted for the password:

EncryptOnClick –e "D:\My Folders\Encrypted Files\" "D:\Another folder\"

To decrypt all the encrypted files in a folder, not be prompted for the password (as it is supplied), and run unattended (i.e. you will not be prompted):

EncryptOnClick –p "the password" -u –d "D:\My Folders\Encrypted Files\"

To encrypt two files:

EncryptOnClick "C:\My Documents\My document.doc" "C:\My Pictures\my picture.jpg"


Legal Information
eoc-header

Legal Documentation

Please read the following legal documentation which presents 2BrightSparks Pte Ltd's policies on licensing and distribution.


Terms of Use
eoc-header

Terms and Agreement for Using EncryptOnClick Freeware

This Software Distribution Agreement (hereinafter referred to as "AGREEMENT") is a legal AGREEMENT between you, and 2BrightSparks Pte Ltd (hereinafter referred to as "AUTHOR") for distributing the computer software program entitled EncryptOnClick (hereinafter referred to as "SOFTWARE").

This AGREEMENT describes the terms and conditions by which AUTHOR will license other parties to distribute the SOFTWARE which is intended solely for distribution as FREEWARE from the website www.2BrightSparks.com. No use, distribution, or reproduction of the SOFTWARE or copies of the SOFTWARE is authorised except in compliance with the terms and conditions herein.

Unless you have a different licence AGREEMENT signed by AUTHOR, your use of this SOFTWARE indicated your acceptance of this licence AGREEMENT.

By copying this SOFTWARE, you agree to be bound by the terms and conditions of this AGREEMENT as well as those of the "Software Licence Agreement".

GENERAL DEFINITIONS

As stated, the SOFTWARE is marketed as Freeware.

Definition of Freeware

Our freeware is free for personal, educational, charity, and commercial use. 2BrightSparks Pte Ltd produces 100% Freeware as defined by the following six points:

· No Spyware, Trojans, Viruses, or Advertisements

· No Nag Screens

· No Registrations

· No Payments

· No Collection of Demographic Information

· No Unauthorised Internet Connections

Copyright laws apply to both Freeware, Shareware, and retail software, and the copyright holder retains all rights, with a few specific exceptions as stated below. The author specifically does not grant the right to distribute the software, either to all and sundry or to a specific group.

GENERAL TERMS AND CONDITIONS

· The AUTHOR shall be credited as the owner of the SOFTWARE in all distribution of the SOFTWARE. AUTHOR is the exclusive world-wide licenser of the SOFTWARE, and the copyrights and other proprietary rights therein. The SOFTWARE is intended solely for distribution as Freeware as described above; it is not public domain freeware.

· You may copy the SOFTWARE for your private or business purposes, only in its original, unaltered form, with all files included unmodified, and without making any additions, modifications or deletions except as provided in this paragraph.

· You may not distribute the SOFTWARE on websites, in magazine publications, or any other publishing medium.

· You are permitted, and encouraged, to make and distribute copies of the SOFTWARE to your friends, family members and co-workers for your and their private, commercial, or non-commercial use, in compliance with the terms and conditions hereof.

· You may not modify the SOFTWARE or any of its files. You may not change, delete, merge or rename any files or elements of the SOFTWARE in any manner, and you may not add any files or new elements (except for installation routines which do not interfere with the proper operation or installation of the SOFTWARE).

· Since the SOFTWARE is intended for distribution only as FREEWARE exclusively from our website www.2brightsparks.com, you shall not charge any fee or other compensation for the SOFTWARE.

· You recognise that your right to distribute the SOFTWARE is nonexclusive and that AUTHOR can terminate the license granted to you at any time for any reason upon notice. AUTHOR reserves the right to withhold or withdraw permission to distribute the SOFTWARE from anyone at any time for any reason. The other provisions hereof shall survive any expiration or termination of this AGREEMENT.

· You shall take reasonable steps to ensure that the SOFTWARE and any other software, documentation and other materials distributed with the SOFTWARE are free from viruses.

· You may not use, copy, modify, distribute or transfer the SOFTWARE or any element thereof in whole or in part, except as expressly provided for herein.

· You may not rent or lease the SOFTWARE to anyone.

· The AUTHOR reserves the right to update the contents of the SOFTWARE and its associated files, documentation and/or other elements, at its discretion from time to time, without the consent of, or any obligation to, any licensed users or distributors.

· You will hold the AUTHOR, family members, distributors, licensees, sub-licensees and lawyers harmless from and against any and all claims, actions, damages, losses, liabilities, costs and expenses arising directly or indirectly from your acts and omissions in copying and distributing the SOFTWARE.

· If any provision of this AGREEMENT is held to be void, invalid or unenforceable, it will not affect the validity of the balance of this AGREEMENT, which shall remain valid and enforceable according to its terms and conditions.

· This agreement shall be governed by the laws of Singapore.

FREEWARE

2BrightSparks grants you a limited non-exclusive license to use FREEWARE downloadable from 2BrightSparks for personal, educational, charity, and commercial use.

If you are using the SOFTWARE free of charge under the terms of this Agreement, you are not entitled to support although we will respond to support requests if they relate to any SOFTWARE that is not performing it's task correctly (bugs etc).

Our Freeware is licensed to you in accordance with the terms and conditions of the above Agreement. You represent and warrant that you will not violate any of the requirements of this Agreement and further represent and warrant that:

· You will not, and will not permit others to:

(i) reverse engineer, decompile, disassemble, derive the source code of, modify, or create derivative works from our Freeware, or

(ii) copy, distribute, publicly display, or publicly perform content contained in this Freeware other than as expressly authorized by this Agreement.

· You will not use our Freeware to engage in or allow others to engage in any illegal activity.

· You will not engage in using our Freeware that will interfere with or damage the operation of the services of any third parties by overburdening/disabling network resources through automated queries, excessive usage or similar conduct.

· You will not sell our Freeware or charge others for use of it (either for profit or merely to recover your media and distribution costs) whether as a stand-alone product, or as part of a compilation or anthology, without explicit prior written permission.

· You will not use our Freeware to engage in any activity that will violate the rights of third parties, including, without limitation, through the use, public display, public performance, reproduction, distribution, or modification of communications or materials that infringe copyrights, trademarks, publicity rights, privacy rights, other proprietary rights, or rights against defamation of third parties.

· You may not claim any sponsorship by, endorsement by, or affiliation with our company.

Limitation Of Liability And Warranty

The customer agrees that use of the services and products provided by 2BrightSparks is entirely at the customer's own risk. Services and products are provided 'as is,' without warranty of any kind, either express or implied, including without limitation any warranty for information, services, uninterrupted access, or products provided through or in connection with the service, including without limitation the software licensed to the customer and the results obtained through the service. Specifically, we disclaim any and all warranties, including without limitation: 1) any warranties concerning the availability, accuracy or content of information, products or services; and 2) any warranties of title or warranties of merchantability or fitness for a particular purpose.

This disclaimer of liability applies to any damages or injury caused by any failure of performance, error, omission, interruption, deletion, defect, delay in operation or transmission, computer virus, communication line failure, theft or destruction or unauthorized access to, alteration of, or use of record, whether for breach of contract, tortious behavior, negligence, or under any other cause of action. Customer specifically acknowledges the service is not liable for the defamatory, offensive or illegal conduct of other customers or third-parties and that the risk of injury from the foregoing rests entirely with customer.

Neither the software, products or services delivered by 2BrightSparks, nor any of its agents, affiliates or content providers shall be liable for any direct, indirect, incidental, special or consequential damages arising out of use of it or inability to gain access to or use the software or out of any breach of any warranty. Customer hereby acknowledges that the provisions of this section shall apply to all content on the service.

Governing Law

This agreement shall be governed by the laws of Singapore.

Trademarks

All trademarks appearing on the service are trademarks of their respective owners.

Modification

2BrightSparks reserves the right, at its discretion, to revise these Terms and Conditions at any time and without prior notice, and such revision shall be effective immediately upon the posting of the revised Terms and Conditions at this website:

http://www.2brightsparks.com/terms.html


Privacy Statement
eoc-header

Privacy Statement

We have created this privacy statement in order to demonstrate our firm commitment to privacy. The following discloses our information gathering and dissemination practices for 2BrightSparks.

We use your IP address to help diagnose problems with our server, and to administer our website. Your IP address is used to help identify you and to gather broad demographic information.

Cookies

We use cookies to identify you so we can retrieve your information so you don't have to re-enter it each time you visit our site. We also use cookies to help ensure our surveys are only completed once.

Subscriptions

Our site's Support Ticketing, Mailing List, and other forms requires users to give us contact information, like their name and email address. We use customer contact information from forms to send the user information about 2BrightSparks. The customer's contact information is also used to contact the visitor when necessary if they have subscribed to the Mailing List. Users may opt-out of receiving future mailings by choosing to nun-subscribe. Unique identifiers are collected to verify the user's identity and for use in our record system.

Collecting Unique Identifiers

2BrightSparks and its associated Web Store uses an order form for customers to request information, products, and services. We collect visitor's contact information and unique identifiers. Contact information from the order form is used to send orders and information about our company to our customers. The customer's contact information is also used to get in touch with the visitor when necessary. Users may opt-out of receiving future mailings. Unique identifiers are collected from website visitors to verify the user's identity and for use as account numbers in our record system.

External Linking

2BrightSparks contains links to other sites. We are not responsible for the privacy practices or the content of such websites.

Security

This site has security measures in place to protect the loss, misuse and alteration of the information under our control. All data is protected using the most advanced methods available. We do not store financial information like credit card numbers or personal information like social security numbers on this site.

Un-Subscribe

2BrightSparks gives users the option to contact us for removing their information from our database to not receive future communications or to no longer receive mail list messages.

Correct/Update

You can send an email to us by visiting our Support Area to change and/or modify information previously provided.

Additional Information

Why we use cookies

A cookie is a small data file that certain Web sites write to your hard drive when you visit them. A cookie file can contain information such as a user ID that the site uses to track the pages you have visited. The only personal information a cookie can contain is information you supply yourself. A cookie can't read data off your hard disk or read cookie files created by other sites.

We use cookies to assists in searches. Cookies further enhance our service by enabling us to fast-track much of our User's browsing habits with the aim of improving our services.

Do you share data with outside companies and/or organisations?

No. we do not share any 'off-line data' with any commercial entity (e-mail addresses collected for our mailing list, and any data collected for purposes other than for on-line publication on our website).

We only disclose data when required to do so by International law.


Credits
eoc-header

Program Credits

EncryptOnClick Program Developers

2BrightSparks Pte Ltd © 2003 - 2005

Website: www.2BrightSparks.com

Additional Credits

EncryptOnClick makes use of the following component:

Zip compression by Xceed Software Inc: www.xceedsoft.com.


Company Information
eoc-header

2BrightSparks Pte Ltd

Overview

2BrightSparks Pte Ltd was incorporated in 2004 with Michael J. Leaver, Mike de Sousa, and Richard N. Gascoigne at its helm. Between them they have over 60 years of experience delivering professional solutions in the software and creative sectors.

2bs-bw-logo
For more about the 2BrightSparks team go to:

http://www.2brightsparks.com/about.html

Company Website

www.2brightsparks.com

Sales and Support

Sales and Support are available by submitting a support ticket from our Support Area.

Company Postal Address

2BrightSparks Pte Ltd
PSA Building
PO Box 364
Singapore 911143

Payment Processor

All payment transactions at 2BrightSparks are handled through the eSellerate payment system. At no time do we process or save customer payment card details at www.2BrightSparks.com.

If you would like to learn about eSellerate visit their site at:

http://www.esellerate.net/company_overview.asp